Attachments
Retrieve an attachment by its ID.
Id of the retrieved attachment.
When set to "true", adds the "fileUrl" field to the response object. "fileUrl" enables you to download the uploaded file associated with this attachment. If the file has not been malware-scanned and identified as clean yet, it will ignore the "presign" query string parameter and not set the "fileUrl" field. Any other value than "true" will be ignored.
trueid of this entity
02c36247-1aad-41ba-aa49-f114ca4c263fISO 8601
2023-07-28T09:13:37ZISO 8601
2023-07-28T09:13:37ZAbsolute URL to download the file that this attachment is representing. Usage example: curl
https://tradeaware.live-eo.com/api/biz-id-74b46f10-4d05-467d-bbfd-e2386772ff9b/atc-id-60bcd197-84d7-45e4-ae5f-827c8e739185.pdfName of file, including extension
testfile.txtFile size in kilobytes (KB)
1024The Auth0 user ID of the user who uploaded the file. Null if the attachment was uploaded by an M2M client.
auth0|1234567890abcdefReturned for a supplier's attachment when the caller has no Enterprise or Professional plan.
501 Not Implemented when the feature is not enabled on this environment.
GET /attachments/{id} HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"updatedAt": "2023-07-28T09:13:37Z",
"createdAt": "2023-07-28T09:13:37Z",
"fileUrl": "https://tradeaware.live-eo.com/api/biz-id-74b46f10-4d05-467d-bbfd-e2386772ff9b/atc-id-60bcd197-84d7-45e4-ae5f-827c8e739185.pdf",
"filename": "testfile.txt",
"fileSizeKb": 1024,
"uploadedByUserId": "auth0|1234567890abcdef"
}Create an attachment which represents the upload of an individual file.
Allowed file types are: pdf, doc, docx, xls, xlsx, jpeg, jpg, png, tif, tiff, heic, csv, txt, rtf.
Filenames must be less than 200 characters (including the file extension),and must no contain any of the following characters: % { } < > / \ " ` '
File data
id of this entity
02c36247-1aad-41ba-aa49-f114ca4c263fISO 8601
2023-07-28T09:13:37ZISO 8601
2023-07-28T09:13:37ZAbsolute URL to download the file that this attachment is representing. Usage example: curl
https://tradeaware.live-eo.com/api/biz-id-74b46f10-4d05-467d-bbfd-e2386772ff9b/atc-id-60bcd197-84d7-45e4-ae5f-827c8e739185.pdfName of file, including extension
testfile.txtFile size in kilobytes (KB)
1024The Auth0 user ID of the user who uploaded the file. Null if the attachment was uploaded by an M2M client.
auth0|1234567890abcdef501 Not Implemented when the feature is not enabled on this environment.
POST /attachments HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17
{
"file": "binary"
}{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"updatedAt": "2023-07-28T09:13:37Z",
"createdAt": "2023-07-28T09:13:37Z",
"fileUrl": "https://tradeaware.live-eo.com/api/biz-id-74b46f10-4d05-467d-bbfd-e2386772ff9b/atc-id-60bcd197-84d7-45e4-ae5f-827c8e739185.pdf",
"filename": "testfile.txt",
"fileSizeKb": 1024,
"uploadedByUserId": "auth0|1234567890abcdef"
}Last updated